MWAWDocumentInternal Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
MWAWDocumentInternal Namespace Reference

small namespace use to define private class/method used by MWAWDocument More...

## Functions
shared_ptr< MWAWGraphicParser > | getGraphicParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
shared_ptr< MWAWPresentationParser > | getPresentationParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
shared_ptr< MWAWSpreadsheetParser > | getSpreadsheetParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| Factory wrapper to construct a parser corresponding to an spreadsheet header. More...
shared_ptr< MWAWTextParser > | getTextParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| Factory wrapper to construct a parser corresponding to an text header. More...
MWAWHeader * | getHeader (MWAWInputStreamPtr &ip, MWAWRSRCParserPtr rsrcParser, bool strict)
| return the header corresponding to an input. More...
bool | checkBasicMacHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr rsrcParser, MWAWHeader &header, bool strict)
| Wrapper to check a basic header of a mac file. More...

## Detailed Description

small namespace use to define private class/method used by MWAWDocument

## Function Documentation

bool MWAWDocumentInternal::checkBasicMacHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader & | header,
|  | bool | strict
| ) |  |

Wrapper to check a basic header of a mac file.

Referenced by getHeader().

shared_ptr< MWAWGraphicParser > MWAWDocumentInternal::getGraphicParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().

MWAWHeader * MWAWDocumentInternal::getHeader | ( | MWAWInputStreamPtr & | ip,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | bool | strict
| ) |  |

return the header corresponding to an input.

Or 0L if no input are found

avoid very short file

avoid very short file

Referenced by MWAWDocument::isFileFormatSupported(), and MWAWDocument::parse().

shared_ptr< MWAWPresentationParser > MWAWDocumentInternal::getPresentationParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().

shared_ptr< MWAWSpreadsheetParser > MWAWDocumentInternal::getSpreadsheetParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

Factory wrapper to construct a parser corresponding to an spreadsheet header.

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().

shared_ptr< MWAWTextParser > MWAWDocumentInternal::getTextParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

Factory wrapper to construct a parser corresponding to an text header.

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().